Name:          tpm2-tss
Version:       4.1.3
Release:       2mamba
Summary:       OSS implementation of the TCG TPM2 Software Stack (TSS2)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://tpm2-software.github.io
Source:        https://github.com/tpm2-software/tpm2-tss.git/%{version}/tpm2-tss-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libftdi-devel
BuildRequires: libjson-c-devel
BuildRequires: libopenssl-devel
BuildRequires: libusb-compat-devel
BuildRequires: libusb-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
BuildRequires: libacl-tools
BuildRequires: uthash-devel
BuildRequires: libcmocka-devel
Requires:      libtss2 = %{?epoch:%epoch:}%{version}-%{release}

%description
OSS implementation of the TCG TPM2 Software Stack (TSS2).

%package -n libtss2
Group:         System/Libraries
Summary:       OSS implementation of the TCG TPM2 Software Stack (TSS2)
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n libtss2
OSS implementation of the TCG TPM2 Software Stack (TSS2).
This package contains shared libraries for %{name}.

%package -n libtss2-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libtss2 = %{?epoch:%epoch:}%{version}-%{release}

%description -n libtss2-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
echo %{VERSION} > VERSION
sed -i "s|^git describe|#git describe|" bootstrap
./bootstrap

%build
export PATH=/usr/sbin:$PATH

%configure \
   --with-udevrulesdir=%{_udevrulesdir} \
   --with-runstatedir=/run \
   --with-tmpfilesdir=%{_tmpfilesdir} \
   --with-sysusersdir=%{_sysusersdir} \
   --with-udevrulesprefix=60- \
   --enable-unit

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%sysusers_create tpm2-tss.conf
%tmpfiles_create tpm2-tss-fapi.conf
:

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/tpm2-tss
%{_sysconfdir}/tpm2-tss/fapi-config.json
%{_sysconfdir}/tpm2-tss/fapi-profiles/*.json
%{_tmpfilesdir}/tpm2-tss-fapi.conf
%{_sysusersdir}/tpm2-tss.conf
%{_udevrulesdir}/60-tpm-udev.rules
%{_mandir}/man5/fapi-config.5*
%{_mandir}/man5/fapi-profile.5*

%files -n libtss2
%defattr(-,root,root)
%{_libdir}/libtss2-*.so.*
%doc LICENSE

%files -n libtss2-devel
%defattr(-,root,root)
%dir %{_includedir}/tss2
%{_includedir}/tss2/tss2_*.h
%{_libdir}/libtss2-*.a
%{_libdir}/libtss2-*.so
%{_libdir}/pkgconfig/tss2-*.pc
%{_mandir}/man3/ESYS_*.3*
%{_mandir}/man3/Esys_*.3*
%{_mandir}/man3/FapiTestgroup.3*
%{_mandir}/man3/Fapi_*.3*
%{_mandir}/man3/Tss2_*.3*
%{_mandir}/man7/tss2-*.7*
%doc README.md

%changelog
* Thu Dec 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.3-2mamba
- add missing .conf extensions to sysusers_create and tmpfiles_create macros arguments

* Fri May 24 2024 Automatic Build System <autodist@openmamba.org> 4.1.3-1mamba
- automatic version update by autodist

* Thu May 16 2024 Automatic Build System <autodist@openmamba.org> 4.1.2-1mamba
- automatic version update by autodist

* Sun May 12 2024 Automatic Build System <autodist@openmamba.org> 4.1.1-1mamba
- automatic version update by autodist

* Mon Jan 30 2023 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Tue May 25 2021 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Wed Apr 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-2mamba
- reconfigure with correct system paths

* Wed Nov 25 2020 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Fri Nov 20 2020 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Thu Sep 24 2020 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Wed May 13 2020 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Wed Apr 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- package created using the webbuild interface
